From 598b9bad238f1034f2ccb100354f29d5080818e8 Mon Sep 17 00:00:00 2001
From: Gerrit Pape <pape@smarden.org>
Date: Wed, 8 Jan 2014 12:29:44 +0000
Subject: [PATCH 6/6] [EVAL] Report I/O error on stdout

Suggested by Roger Leigh through
 http://bugs.debian.org/690473

Signed-off-by: Gerrit Pape <pape@smarden.org>
---
 src/eval.c | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/src/eval.c b/src/eval.c
index c7358a6..3c47b59 100644
--- a/src/eval.c
+++ b/src/eval.c
@@ -928,6 +928,8 @@ evalbltin(const struct builtincmd *cmd, int argc, char **argv, int flags)
 	else
 		status = (*cmd->builtin)(argc, argv);
 	flushall();
+	if (outerr(out1))
+		warnx("%s: I/O error", commandname);
 	status |= outerr(out1);
 	exitstatus = status;
 cmddone:
-- 
2.1.0

